package controller

import (
	"github.com/rs/zerolog"
	"netidhub-saas-be/app/module/article_comments/service"
)

type Controller struct {
	ArticleComments ArticleCommentsController
}

func NewController(ArticleCommentsService service.ArticleCommentsService, log zerolog.Logger) *Controller {
	return &Controller{
		ArticleComments: NewArticleCommentsController(ArticleCommentsService, log),
	}
}
